Subject: Re: a problem with git describe

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Apr 2022 09:25:08 -0700

Johannes Schindelin <[email-masked]> writes:

>> Actually, not quite.  when "git" runs in "sudo git", the real
>> identity has long lost, so the below would not help.  Sigh.
>
> Could you help me understand what is going on exactly? How/when is `git`
> running `sudo git`? I thought the problem was that `sudo make install`
> transitively runs `git describe` with euid 0, but `getuid()` should still
> return the non-admin user's ID, no?

The first "git" is literal English meaning, refers to a person ;-)

Anybody building and installing git would do

	$ sudo make
	$ sudo make install

and no, sudo does not leave a clue in getuid() from whom it came from.